package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuMessageCardInfo extends com.kingdee.shr.base.syssetting.SHRBaseItemInfo implements Serializable 
{
    public AbstractFeishuMessageCardInfo()
    {
        this("id");
    }
    protected AbstractFeishuMessageCardInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:飞书消息卡片's 消息业务类型property 
     */
    public com.kingdee.eas.base.message.MsgBizType getMsgBizType()
    {
        return com.kingdee.eas.base.message.MsgBizType.getEnum(getInt("msgBizType"));
    }
    public void setMsgBizType(com.kingdee.eas.base.message.MsgBizType item)
    {
		if (item != null) {
        setInt("msgBizType", item.getValue());
		}
    }
    /**
     * Object:飞书消息卡片's 模板property 
     */
    public String getTemplate()
    {
        return getString("template");
    }
    public void setTemplate(String item)
    {
        setString("template", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("D772710E");
    }
}